#{extends 'borderTemplate.html' /}

<h4>&{'nonlelang.summary_report'}</h4>
<div class="card card-primary">
    <table class="table table-sm table-bordered" >
    <div class="card-header">Informasi Tender</div>
        <tbody>
        <tr>
            <td class="bg-info" width="200">Kode Tender</td>
            <td>${pl_detil.lls_id}</td>
        </tr>
        <tr>
            <td class="bg-info">Nama Tender #{if pl_detil.lelangUlang} (Paket Ulang) #{/if} </td>
            <td>${pl_detil.pkt_nama}</td>
        </tr>
        <tr>
            <td class="bg-info">&{'nonlelang.keterangan'}</td>
            <td>${pl_detil.lls_keterangan}</td>
        </tr>
        <tr>
            <td class="bg-info">K/L/P/D</td>
            <td>${pl_detil.nama_instansi}</td>
        </tr>
        <tr>
            <td class="bg-info">&{'nonlelang.satuan_kerja'}</td>
            <td>${pl_detil.nama_satker}</td>
        </tr>
        <tr>
            <td class="bg-info">Jenis Pengadaan</td>
            <td>${pl_detil.kategori.nama}</td>
        </tr>
        <tr>
			<td class="bg-info">Metode Pengadaan</td>
			<td>#{if pl_detil.mtd_kualifikasi == 0} Prakualifikasi #{/if} #{else} Pascakualifikasi #{/else}</td>
		</tr>       
        <tr>
            <td class="bg-info">Anggaran</td>
            <td>${pl_detil.anggaran?.raw()}</td>
        </tr>
        <tr>
            <td class="bg-info">Nilai Pagu</td>
            <td>${pl_detil.pkt_pagu?.rupiah()}</td>
        </tr>
        <tr>
            <td class="bg-info">Nilai HPS</td>
            <td>${pl_detil.pkt_hps?.rupiah()}</td>
        </tr>
        <tr>
            <td class="bg-info">Jenis Kontrak</td>
            <td>${pl_detil.kontrak_pembayaran?.label}</td>
        </tr>
        #{if !pl_detil.konsultansi && !pl_detil.jkKonstruksi}
        <tr>
            <td class="bg-info">&{'nonlelang.kualifikasi_usaha'}</td>
            <td>${pl_detil.kualifikasi?.label}</td>
        </tr>
        #{/if}
        #{if pl_detil?.lls_bobot_teknis}
        <tr>
            <td class="bg-info">&{'nonlelang.bobot_teknis'}</td>
            <td>${pl_detil.lls_bobot_teknis}</td>
        </tr>
        #{/if}
        #{if pl_detil?.lls_bobot_biaya}
        <tr>
            <td class="bg-info">&{'nonlelang.bobot_biaya'}</td>
            <td>${pl_detil.lls_bobot_biaya}</td>
        </tr>
        #{/if}
        <tr>
            <td class="bg-info">&{'nonlelang.lokasi_pekerjaan'}</td>
            <td>${pl_detil.lokasiPaket}</td>
        </tr>
        <tr>
            <td class="bg-info">Persyaratan Kualifikasi</td>
            <td>${pl_detil.syarat.raw()}</td>
        </tr>
        <tr>
            <td class="bg-info">&{'nonlelang.tgl_pembuatan'}</td>
            <td>${tglPembuatan}</td>
        </tr>
        #{if persetujuanList.size() > 0}
		<tr>
			<td class="bg-info">Tanggal Persetujuan</td>
			<td>
				<table class="table table-sm table-bordered">
					<thead>
					<tr>
						<th>Tanggal</th>
						<th>Disetujui oleh</th>
					</tr>
					</thead>
					<tbody>
                        #{list persetujuanList, as :'persetujuan'}
						<tr>
							<td>${persetujuan.pst_tgl_setuju?.formatDateTime()}</td>
							<td>${persetujuan.peg_nama}</td>
						</tr>
                        #{/list}
					</tbody>
				</table>
			</td>
		</tr>
        #{/if}
        #{if pl_detil.lls_ditutup_karena}
        <tr>
            <td class="bg-info">Alasan Pembatalan</td>
            <td>${pl_detil?.lls_ditutup_karena?.raw()}</td>
        </tr>
        #{/if}
        </tbody>
    </table>
</div>

<div class="card card-primary">
    <div class="card-header">Jadwal</div>
    <table class="table table-sm table-bordered">
        <thead>
        <tr>
            <th>&{'nonlelang.tahapan'}</th>
            <th>&{'nonlelang.mulai'}</th>
            <th>&{'nonlelang.akhir'}</th>
        </tr>
        </thead>
        <tbody>
        #{list jadwalList, as:'jadwal'}
        <tr>
            <td>${jadwal.namaTahap()}</td>
            <td>${jadwal.dtj_tglawal?.formatDateTime()}</td>
            <td>${jadwal.dtj_tglakhir?.formatDateTime()}</td>
        </tr>
            #{list jadwal.historyList, as:'history'}
            <tr>
                <td><div align="right">&{'nonlelang.perubahan_oleh'} ${history.namaPegawai}</div></td>
                <td>${history.hjd_tanggal_awal?.formatDateTimeInd()}</td>
                <td>${history.hjd_tanggal_akhir?.formatDateTimeInd()}</td>
            </tr>
            <tr>
                <td><div align="right">&{'nonlelang.alasan'}</div></td>
                <td colspan="2">${history.hjd_keterangan}</td>
            </tr>
            #{/list}
        #{/list}
        </tbody>
    </table>
</div>

#{if prakualifikasi}
	<div class="card card-primary">
	    <div class="card-header">Dokumen Kualifikasi</div>
	    <table class="table table-sm table-bordered">
	        <thead>
	        <tr>
	            <th>Nama Dokumen</th>
	            <th>Tanggal Upload</th>
	            <th>Audituser</th>
	        </tr>
	        </thead>
	        <tbody>
	        #{list listDokPl, as :'dok_lelang'}
	        <tr>
	            <td>${dok_lelang.blb_nama_file}</td>
	            <td>${dok_lelang.blb_date_time?.formatDateTime()}</td>
	            <td>${dok_lelang.audituser}</td>
	        </tr>
	        #{/list}
	        </tbody>
	    </table>
	</div>
#{/if}

#{if prakualifikasi}
	<div class="card card-primary">
	<div class="card-header">Hasil Evaluasi</div>
	#{list evaluasiList, as:'evaluasi'}
	    #{if (evaluasi?.eva_jenis?.id == 0) || (evaluasi?.eva_jenis?.id == 5)}
	        <div class="card card-default">
	            <div class="card-header">${evaluasi.eva_jenis.label}</div>
	            <table class="table table-sm table-bordered" >
	                <thead>
	                <tr>
	                    <th width="300">Nama Peserta</th>
	                    <th width="40">Hasil Evaluasi</th>
	                    <th>Keterangan</th>
	                </tr>
	                </thead>
	                <tbody>
	                    #{list evaluasi.findPesertaList(), as:'nilai_evaluasi'}
	                    <tr>
	                        <td>${nilai_evaluasi.peserta.rekanan.rkn_nama}</td>
	                        <td>#{if (nilai_evaluasi.nev_lulus.toString().equals('LULUS'))} Lulus #{/if} #{else} Tidak #{/else}  </td>
	                        <td>#{if nilai_evaluasi.nev_uraian!=null} ${nilai_evaluasi.nev_uraian} #{/if} #{else}-#{/else}</td>
	                    </tr>
	                    #{/list}
	                </tbody>
	            </table>
	        </div>
	    #{/if}
	#{/list}
	</div>
#{/if}

#{if prakualifikasi}
	<div class="card card-primary">
	    <div class="card-header">Pengumuman Pemenang Prakualifikasi</div>
	    <table class="table table-sm table-bordered" >
	        <thead>
	        <tr>
	            <th width="300">Nama Peserta</th>
	            <th>Pemenang</th>
	        </tr>
	        </thead>
	        <tbody>
	        #{list pemenangListPra, as:'peserta'}
	        <tr>
	            <td>${peserta.peserta.rekanan.rkn_nama}</td>	
	            <td>
	                #{if peserta.nev_urutan==1} ${peserta.nev_urutan} (Pemenang) #{/if}
	                #{else}${peserta.nev_urutan} ${peserta.nev_urutan} #{/else}
	            </td>	
	        </tr>
	        #{/list}
	        </tbody>
	    </table>
	</div>
#{/if}

<div class="card card-primary">
    <div class="card-header">Dokumen Pemilihan</div>
	    <table class="table table-sm table-bordered">
	        <thead>
	        <tr>
	            <th>Nama Dokumen</th>
	            <th>Tanggal Upload</th>
	            <th>Audituser</th>
	        </tr>
	        </thead>
	        <tbody>
	        #{list listDokPlPemilihan, as :'dok_lelang'}
	        <tr>
	            <td>${dok_lelang.blb_nama_file}</td>
	            <td>${dok_lelang.blb_date_time?.formatDateTime()}</td>
	            <td>${dok_lelang.audituser}</td>
	        </tr>
	        #{/list}
	        </tbody>
	    </table>
</div>

<div class="card card-primary">
    <div class="card-header">Penawaran Peserta</div>
    <table class="table table-sm table-bordered" >
        <thead>
        <tr>
            <th>Nama Peserta</th>
            <th>Nama File</th>
            <th>Tanggal Kirim</th>
            <th>Hash Key</th>
        </tr>
        </thead>
        <tbody>
        #{list penawaranList, as:'penawaran'}
        <tr>
            <td>${penawaran.peserta.rekanan.rkn_nama}</td>
            <td>${penawaran.dok_judul}</td>
            <td>${penawaran.dok_tgljam?.formatDateTime()}</td>
            <td>${penawaran.dok_hash}</td>
        </tr>
        #{/list}
        </tbody>
    </table>
</div>

#{if prakualifikasi}
	<div class="card card-primary">
	<div class="card-header">Hasil Evaluasi</div>
	#{list evaluasiList, as:'evaluasi'}
	    #{if (evaluasi?.eva_jenis?.id == 1) || (evaluasi?.eva_jenis?.id == 2) || (evaluasi?.eva_jenis?.id == 3)}
	        <div class="card card-default">
	            <div class="card-header">${evaluasi.eva_jenis.label}</div>
	            <table class="table table-sm table-bordered" >
	                <thead>
	                <tr>
	                    <th width="300">Nama Peserta</th>
	                    <th width="40">Hasil Evaluasi</th>
	                    <th>Keterangan</th>
	                </tr>
	                </thead>
	                <tbody>
	                    #{list evaluasi.findPesertaList(), as:'nilai_evaluasi'}
	                    <tr>
	                        <td>${nilai_evaluasi.peserta.rekanan.rkn_nama}</td>
	                        <td>#{if (nilai_evaluasi.nev_lulus.toString().equals('LULUS'))} Lulus #{/if} #{else} Tidak #{/else}  </td>
	                        <td>#{if nilai_evaluasi.nev_uraian!=null} ${nilai_evaluasi.nev_uraian} #{/if} #{else}-#{/else}</td>
	                    </tr>
	                    #{/list}
	                </tbody>
	            </table>
	        </div>
	    #{/if}
	#{/list}
	</div>
	#{list evaluasiList, as:'evaluasi'}
	    #{if evaluasi.countPesertaList() < 3 && evaluasi?.eva_jenis?.id == 4 && adaPemenang}
	    <div class="card card-primary">
	        <div class="card-header">Hasil Negosiasi</div>
	        <div class="card card-default">
	            <table class="table table-sm table-bordered" >
	                <thead>
	                <tr>
	                    <th width="300">Peserta</th>
	                    <th width="120">Harga Negosiasi</th>
	                </tr>
	                </thead>
	                <tbody>
	                    #{list evaluasi.findPesertaList(), as:'nilai_evaluasi'}
	                    <tr>
	                        <td>${nilai_evaluasi.peserta.rekanan.rkn_nama}</td>
	                        <td>${nilai_evaluasi.nev_harga_negosiasi?.rupiah()}</td>
	                    </tr>
	                    #{/list}
	                </tbody>
	            </table>
	        </div>
	    </div>
	    #{/if}
	#{/list}
#{/if}
#{else}
	<div class="card card-primary">
	    <div class="card-header">Hasil Evaluasi</div>
	#{list evaluasiList, as:'evaluasi'}
	    #{if !(evaluasi?.eva_jenis?.id == 4)}
	        <div class="card card-default">
	            <div class="card-header">${evaluasi.eva_jenis.label}</div>
	            <table class="table table-sm table-bordered" >
	                <thead>
	                <tr>
	                    <th width="300">Peserta</th>
	                    #{if evaluasi?.eva_jenis?.id == 3 || evaluasi?.eva_jenis?.id == 4}
	                        <th width="120">Harga Penawaran</th>
	                        <th width="120">Harga Terkoreksi</th>
	                    #{/if}
	                    <th width="40">Lulus</th>
	                    <th>Uraian</th>
	                </tr>
	                </thead>
	                <tbody>
	                    #{list evaluasi.findPesertaList(), as:'nilai_evaluasi'}
	                    <tr>
	                        <td>${nilai_evaluasi.peserta.rekanan.rkn_nama}</td>
	                        #{if evaluasi?.eva_jenis?.id == 3 || evaluasi?.eva_jenis?.id == 4}
	                            <td>${nilai_evaluasi.nev_harga?.rupiah()}</td>
	                            <td>${nilai_evaluasi.nev_harga_terkoreksi?.rupiah()}</td>
	                        #{/if}
	                        <td>#{if (nilai_evaluasi.nev_lulus.toString().equals('LULUS'))} Lulus #{/if} #{else} Tidak #{/else}  </td>
	                        <td>#{if nilai_evaluasi.nev_uraian!=null} ${nilai_evaluasi.nev_uraian} #{/if} #{else}-#{/else}</td>
	                    </tr>
	                    #{/list}
	                </tbody>
	            </table>
	        </div>
	    #{/if}
	#{/list}
	</div>
	#{list evaluasiList, as:'evaluasi'}
	    #{if evaluasi.countPesertaList() < 3 && evaluasi?.eva_jenis?.id == 4 && adaPemenang}
	    <div class="card card-primary">
	        <div class="card-header">Hasil Negosiasi</div>
	        <div class="card card-default">
	            <table class="table table-sm table-bordered" >
	                <thead>
	                <tr>
	                    <th width="300">Peserta</th>
	                    <th width="120">Harga Negosiasi</th>
	                </tr>
	                </thead>
	                <tbody>
	                    #{list evaluasi.findPesertaList(), as:'nilai_evaluasi'}
	                    <tr>
	                        <td>${nilai_evaluasi.peserta.rekanan.rkn_nama}</td>
	                        <td>${nilai_evaluasi.nev_harga_negosiasi?.rupiah()}</td>
	                    </tr>
	                    #{/list}
	                </tbody>
	            </table>
	        </div>
	    </div>
	    #{/if}
	#{/list}
#{/else}

<div class="card card-primary">
    <div class="card-header">Peserta</div>
    <table class="table table-sm table-bordered" >
        <thead>
        <tr>
            <th>Nama Peserta</th>
            <th>Tanggal Daftar</th>
        </tr>
        </thead>
        <tbody>
        #{list pesertaList, as:'peserta'}
        <tr>
            <td>${peserta.namaPeserta}</td>
            <td>${peserta.psr_tanggal?.formatDateTimeInd()}</td>
        </tr>
        #{/list}
        </tbody>
    </table>
</div>

<div class="card card-primary">
    <div class="card-header">Pengumuman Pemenang</div>
    <table class="table table-sm table-bordered" >
        <thead>
        <tr>
            <th width="300">&{'nonlelang.peserta'}</th>
            <th>&{'nonlelang.pemenang'}</th>
        </tr>
        </thead>
        <tbody>
        #{list pemenangList, as:'peserta'}
        <tr>
            <td>${peserta.peserta.rekanan.rkn_nama}</td>
            <td>
                #{if peserta.nev_urutan==1} ${peserta.nev_urutan} (Pemenang) #{/if}
                #{else}${peserta.nev_urutan}#{/else}
            </td>
        </tr>
        #{/list}
        </tbody>
    </table>
</div>

#{if sppbjList}
<div class="card card-primary">
    <div class="card-header">Daftar Penunjukan Penyedia Barang Jasa</div>
    <table class="table table-sm table-bordered">
        <tr>
            <th>&{'nonlelang.no_sppbj'}</th>
            <th>&{'nonlelang.doc'}</th>
            <th>&{'nonlelang.tanggal_kirim'}</th>
            <th>&{'nonlelang.status'}</th>
        </tr>
        #{list sppbjList, as:'sppbj'}
            #{if sppbj?.sppbj_attachment!=null}
                <tr>
                    <td>${sppbj.sppbj_no}</td>
                    <td>${sppbj.sppbj_attachment}</td>
                    <td>${sppbj.sppbj_tgl_kirim?.formatDateTime()}</td>
                    <td>${sppbj.status}</td>
                </tr>
            #{/if}
        #{/list}
    </table>
</div>
#{/if}

#{if kontrak}
<div class="card card-primary">
    <div class="card-header">Informasi Kontrak</div>
    <table class="table table-sm table-bordered" >
        <tr>
            <td class="bg-info">&{'nonlelang.no_kontrak'}</td>
            <td>${kontrak.kontrak_no}</td>
        </tr>
        <tr>
            <td class="bg-info">&{'nonlelang.nili_kontrak'}</td>
            <td>${kontrak.kontrak_nilai?.rupiah()}</td>
        </tr>
        <tr>
            <td class="bg-info">&{'nonlelang.tanggal_kontrak'}</td>
            <td>${kontrak.kontrak_tanggal?.formatDate()}</td>
        </tr>
        <tr>
            <td class="bg-info">Masa Berlaku Kontrak</td>
            <td>${kontrak?.kontrak_mulai?.formatDate()} - ${kontrak?.kontrak_akhir?.formatDate()}</td>
        </tr>
        <tr>
            <td class="bg-info">&{'nonlelang.nama_perusahaan'}</td>
            <td>${kontrak.rekanan.rkn_nama}</td>
        </tr>
    </table>
</div>
#{/if}

#{if pp != null}
	<div class="card card-primary">
    	<div class="card-header">Pejabat Pengadaan</div>
    		<table class="table table-sm table-bordered" >
				<tr>
					<th class="bg-info">Nama</th>
					<th class="bg-info">NIP</th>
				</tr>
				<tr>
					<td>${nama_pp}</td>
					<td>${nip_pp}</td>
				</tr>
			</table>
	</div>
#{/if}
#{else}
	<div class="card card-primary">
    	<div class="card-header">Kelompok Kerja Pemilihan</div>
    		<table class="table table-sm table-bordered" >
	    		<tr>
	    			<td class="bg-info">Nama Kelompok Kerja</td>
	    			<td>${nama_panitia}</td>
	    		</tr>
	    		<tr>
	    			<td class="bg-info">Nomor SK</td>
	    			<td>${no_sk}</td>
	    		</tr>
				<tr>
					<th class="bg-info">Nama</th>
					<th class="bg-info">NIP</th>
				</tr>
				#{list listAnggota, as:'list'}
				<tr>
					<td>${list.peg_nama}</td>
					<td>${list.peg_nip}</td>
				</tr>
				#{/list}
			</table>
	</div>
#{/else}


